Bug 32938 - when user mounts an exported disk partition through SAMBA during the server booting process, kernel complains about NULL pointer reference
when user mounts an exported disk partition through SAMBA during the server ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-23 17:08 EST by Yao Wang
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yao Wang 2001-03-23 17:08:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-3 i686)


here is message in the /var/log/messages

Mar 23 16:29:13 MYMACHINE kernel: Unable to handle kernel NULL pointer dere
ference at virtual address 00000008
Mar 23 16:29:13 MYMACHINE kernel: current->tss.cr3 = 00101000, %cr3 = 00101
000
Mar 23 16:29:13 MYMACHINE kernel: *pde = 00000000
Mar 23 16:29:13 MYMACHINE kernel: Oops: 0000
Mar 23 16:29:13 MYMACHINE kernel: CPU:    0
Mar 23 16:29:13 MYMACHINE kernel: EIP:    0010:[<e08bbe91>]
Mar 23 16:29:13 MYMACHINE kernel: EFLAGS: 00010296
Mar 23 16:29:13 MYMACHINE kernel: eax: 00000000   ebx: dffc3000   ecx: 0000
0000   edx: 00000000
Mar 23 16:29:13 MYMACHINE kernel: esi: dffc3000   edi: cd6c401c   ebp: dffc
3000   esp: cd6c9f58
Mar 23 16:29:13 MYMACHINE kernel: ds: 0018   es: 0018   ss: 0018
Mar 23 16:29:13 MYMACHINE kernel: Process nfsd (pid: 615, process nr: 33, s
tackpage=cd6c9000)
Mar 23 16:29:13 MYMACHINE kernel: Stack: cd6c4014 cd6c4014 e08b54be dffc300
0 cd6c401c d3422740 dffc30f4 e08bed20
Mar 23 16:29:13 MYMACHINE kernel:        d342277c e089e5b8 dffc3000 cd6c401
4 cd6c8000 cd6c8000 00000001 dffc3000
Mar 23 16:29:13 MYMACHINE kernel:        d3422740 e08bf060 00000001 0000000
2 000186a3 00000002 cd6c4014 e08bebcc
Mar 23 16:29:13 MYMACHINE kernel: Call Trace: [<e08b54be>] [<e08bed20>] [au
tofs:__insmod_autofs_O/lib/modules/2.2.17-14smp/fs/autofs.o_M3A7+-76360/80]
[<e0
8bf060>] [<e08bebcc>] [<e08b5265>] [kernel_thread+35/48]
Mar 23 16:29:13 MYMACHINE kernel: Code: 8b 58 08 85 db 75 08 31 c9 e9 45 01
 00 00 90 66 8b 43 22 66


Reproducible: Always
Steps to Reproduce:
1. win2k client map the exported disk partition or refers to a file there
2. server reboots
3. 
	

Actual Results:  kernel yells about NULL pointer referrenced at a virtual
addr, this continues periodically after reboot, 

Expected Results:  kernel could ignore this situation
Comment 1 Bugzilla owner 2004-09-30 11:38:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.